> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/cli/pdfsecure/options/command-line.md).

# Command-Line Summary for PDFSecure

Discover the best tips for creating an effective SEO meta description. Learn how to craft compelling descriptions that drive clicks and improve your website's visibility. The Apryse CLI streamlines se

{% tabs %}
{% tab title="Shell" %}
{% code lineNumbers="true" %}

```sh
Usage: pdfsecure [<options>] file...

OPTIONS:

  --file... arg           A list of folders and/or file names to process.
  -o [ --output ] arg     The output folder or file used to store modified
                          files. If this option is not specified, changes will
                          be applied to original files.
  -s [ --secure ] arg     Sets the security handler for the output file(s).
                          Valid options are:
                            40  - Use 40-bit RC4 encryption.
                            128 - Use 128-bit RC4 encryption. Supported in PDF
                                1.4 (Acrobat 5) and above.
                            AES - Use 128-bit AES (Advanced Encryption
                                Standard); Supported in PDF 1.6 (Acrobat 7) and
                                above.
                            R   - Remove the encryption from the document.
                            S   - Do not change the original security handler.

                          By default the security handler will be preserved
                          (s=S)

  -p [ --pass ] arg       The password for the input file. Not required if the
                          input document is not secured.
  --noprompt              Disables any user input. By default, the application 
                          will ask for a valid password if the password is not
                          incorrect or for a permission to modify original
                          files.
  -u [ --userpass ] arg   The new user password. The password required to open
                          resulting documents.
  -w [ --ownerpass ] arg  The new owner/master password. This password is
                          required to adjust permissions settings on resulting
                          documents.
  -d [ --disable ] arg    Permissions are applied to the output PDF if the
                          output document is encrypted. This option accepts a
                          string of permissions flags that should be disabled.
                          The permission string may include the following
                          flags:
                            a - All permissions.
                            p - Printing.
                            m - Changing the document.
                            c - Content copying or extraction.
                            o - Commenting.
                            f - Filling of form fields.
                            x - Content extraction for accessibility.
                            s - Document assembly.
                            h - High quality printing.

  -e [ --enable ] arg     A string of permissions flags (see above) that can be
                          enabled. If there is a conflict with one of flags in
                          'disable' option the permission is not granted.
  --title arg             Sets document's 'Title' description.
  --author arg            Sets document's 'Author' description.
  --subject arg           Sets document's 'Subject' description.
  --keywords arg          Sets document's 'Keywords' description.
  --creator arg           Sets document's 'Creator' description.
  --producer arg          Sets document's 'Producer' description.
  -l [ --linearize ]      Linearize output files.
  --subfolders            Process all subfolders.
  --extension arg (=.pdf) The default file extension used to process PDF
                          documents. The default extension is ".pdf".
  --verb arg (=1)         Set the verbosity level to 'arg' (0-2).
  -v [ --version ]        Print the version information.
  -h [ --help ]           Print a listing of available options.


Examples:
  pdfsecure -o test_out/ex1/blue_secret.pdf -s 128 -u secret test/blue.pdf
  pdfsecure -o test_out/ex2 -s AES -u secret test
  pdfsecure -o test_out/ex4 -s 128 -w foo -d mcofxs -e ph --subfolders test
  pdfsecure -o test_out/ex5 -s R test test_out/ex4
  pdfsecure -o test_out/ex6 --title "My Title" test
  pdfsecure -o test_out/ex7 -l test_out/ex6
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/cli/pdfsecure/options/command-line.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
